***

title: ai_unhold
slug: /reference/python/rest/calling/ai-unhold
description: Resume a held AI session on a call via REST.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

[ai-hold]: /docs/server-sdks/reference/python/rest/calling/ai-hold

Resume an AI session that was previously put on hold with
[`ai_hold()`][ai-hold].

<EndpointSchemaSnippet endpoint="POST /api/calling/calls" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/calling/calls" />

## **Example**

```python {14}
from signalwire.rest import RestClient

client = RestClient(
    project="your-project-id",
    token="your-api-token",
    host="your-space.signalwire.com",
)

# Hold, perform an action, then resume
client.calling.ai_hold(call_id="call-id-xxx")

# ... do some background processing ...

client.calling.ai_unhold(call_id="call-id-xxx")
```